Announcement

Collapse
No announcement yet.

3.7.1 upgrading to 3.8 while upgrading to 4.0... its hanging up

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • 3.7.1 upgrading to 3.8 while upgrading to 4.0... its hanging up

    Need help here...

    I am upgrading from 3.7 to 4.0, and according to the documentation, it is best to upgrade to 3.8.5 first... so that is what I am doing. However, once we got past 3.7.1, it hung up on step 4 of the permission updates... and this is what it says on the screen:

    Step 4) Permission Updates
    • Altering pmtext Table (1 of 1)
    • Altering notice Table (1 of 1)
    • Altering useractivation Table (1 of 1)
    • Updating Usergroup Permissions
    • Updating Human Verification options
    • Granting Permissions for new features
    • Granting Permissions for new features
    • Altering moderator Table (1 of 1)
    • Updating Album Update counters


    Fatal error: Call to undefined function exec_rebuild_album_updates() in /home/content/d/a/v/travelforum/html/install/upgrade_380a2.php on line 651

    Line 651 of upgrade_380a2.php says...

    exec_rebuild_album_updates();

    Can someone tell me what I am doing wrong here? Thank you in advance.

  • #2
    You're missing one or more files, reupload the a fresh copy of the files and refresh the page.

    Comment


    • #3
      Thanks for the quick reply.

      Which files do I need a fresh copy? I already re-uploaded the upgrade_380a2.php file.

      Thanks again...

      Comment


      • #4
        Just tried it a third time, re-uploading the same file, fresh copy... no change.

        Comment


        • #5
          Reupload ALL of the vbulletin files.

          Comment


          • #6
            Would changing the "mysql" to mysqli" in the config.php have anything to do with the problem?

            Comment


            • #7
              No, you're missing a function that should be there.

              Comment


              • #8
                Would the function be most likely contained in the install folder, or could it be in any folder?

                Comment


                • #9
                  Reupload the includes folder.

                  Comment


                  • #10
                    Worked... but stuck again at another place

                    First of all, thanks for the help. It worked after re-uploading the includes folder.

                    I went through many pages of 'proceeds' and 'next steps' and am in the area where it has loaded 3.8.5. But I have ran into a new snag. Here is what it is saying...

                    Updating style information for each style...
                    Default Style ... (Templates) (Stylevars) (Replacement Variables)
                    Warning: require_once(/home/content/d/a/v/travelforum/html/includes/html_color_names.php) [function.require-once]: failed to open stream: No such file or directory in /home/content/d/a/v/travelforum/html/includes/adminfunctions_template.php on line 900

                    Fatal error: require_once() [function.require]: Failed opening required '/home/content/d/a/v/travelforum/html/includes/html_color_names.php' (include_path='.:/usr/local/php5/lib/php') in /home/content/d/a/v/travelforum/html/includes/adminfunctions_template.php on line 900

                    I had taken the site off line during this, but now can't even see the site.

                    Your help would be greatly appreciated.
                    Last edited by davidflagg1; Fri 11th Jun '10, 3:48am.

                    Comment


                    • #11
                      From reading around while waiting for an answer, it appears the problem may be coming from the fact that the mods were NOT turned off before doing this. I had forgotten that part of the install process. But now, I can't see the site correctly to turn the mods off. If this indeed is the problem, how do I rectify it? Do I have to restore the database from a backup and start all over?

                      Comment


                      • #12
                        You can add, define("DISABLE_HOOKS", true); to your config file which should get around there.

                        Comment

                        Related Topics

                        Collapse

                        • WhiskeyOSS
                          Upgrade to 25 crashing at 39%
                          by WhiskeyOSS
                          I am trying to upgrade to beta 25 and I freezing here
                          Upgrade Progress
                          • Upgrading to 5.0.0 Beta 24
                          • Step 1 - Altering editlog Table (1 of 7)
                          • Step 2 - Altering editlog Table (2 of
                          ...
                          Tue 15th Jan '13, 5:50pm
                        • nwind
                          What is the node table?
                          by nwind
                          I am now two days into step 8 of upgrading from 4.2.2 to 5.1.4 and have been on Step 8 for 40 hours. It seems to still be working, though it has to be restarted a lot. I am approaching 200 million records...
                          Fri 9th Jan '15, 8:19am
                        Working...
                        X